Gaussian1dJamshidianSwaptionEngine Class Reference
Pricing engines » Swaption engines

Jamshidian swaption engine. More...

`#include <ql/pricingengines/swaption/gaussian1djamshidianswaptionengine.hpp>`

Inheritance diagram for Gaussian1dJamshidianSwaptionEngine:
[legend]

## Public Member Functions

| Gaussian1dJamshidianSwaptionEngine (const ext::shared_ptr< Gaussian1dModel > &model)
void | calculate () const
Public Member Functions inherited from GenericModelEngine< Gaussian1dModel, Swaption::arguments, Swaption::results >
| GenericModelEngine (const Handle< Gaussian1dModel > &model=Handle< Gaussian1dModel >())
| GenericModelEngine (const ext::shared_ptr< Gaussian1dModel > &model)
Public Member Functions inherited from GenericEngine< Swaption::arguments, Swaption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from PricingEngine
virtual arguments * | getArguments () const =0
virtual const results * | getResults () const =0
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Friends

class | rStarFinder

## Additional Inherited Members

Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Attributes inherited from GenericModelEngine< Gaussian1dModel, Swaption::arguments, Swaption::results >
Handle< Gaussian1dModel > | model_
Protected Attributes inherited from GenericEngine< Swaption::arguments, Swaption::results >
Swaption::arguments | arguments_
Swaption::results | results_

## Detailed Description

Jamshidian swaption engine.

## Constructor & Destructor Documentation

## Gaussian1dJamshidianSwaptionEngine()

Gaussian1dJamshidianSwaptionEngine | ( | const ext::shared_ptr< Gaussian1dModel > & | model | ) |

Note
  the term structure is only needed when the short-rate model cannot provide one itself.